Project

General

Profile

Bug #11961

Drop obsolete multiarch handling in Stretch

Added by intrigeri almost 3 years ago. Updated almost 3 years ago.

Status:
Resolved
Priority:
Elevated
Assignee:
Category:
Build system
Target version:
Start date:
11/18/2016
Due date:
% Done:

100%

Feature Branch:
bugfix/11961-drop-multiarch
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Description

We still have i386-related stuff in config/chroot_local-hooks/04-apt-architectures and config/chroot_local-hooks/99-disable-multiarch. In particular, the resulting system is configured with APT::Architectures {"i386";};, which feels wrong.


Related issues

Blocks Tails - Bug #11873: "Upgrade from ISO" fails from 32-bit Tails with 64-bit ISO Resolved 10/11/2016

Associated revisions

Revision 76fbabcd (diff)
Added by intrigeri almost 3 years ago

Drop obsolete multiarch handling: Tails 3.0 will be amd64-only (refs: #11961).

Revision c6085aed
Added by intrigeri almost 3 years ago

Merge remote-tracking branch 'origin/bugfix/11961-drop-multiarch' into feature/stretch (Closes: #11961)

History

#1 Updated by intrigeri almost 3 years ago

  • Blocks Bug #11873: "Upgrade from ISO" fails from 32-bit Tails with 64-bit ISO added

#2 Updated by intrigeri almost 3 years ago

  • Status changed from Confirmed to In Progress
  • % Done changed from 0 to 10
  • Feature Branch set to bugfix/11961-drop-multiarch

#3 Updated by intrigeri almost 3 years ago

  • Status changed from In Progress to Resolved
  • % Done changed from 10 to 100

Also available in: Atom PDF